%global loraxtarget %{_datadir}/lorax/product
%global loraxanacondadir %{loraxtarget}/usr/share/anaconda
%global pixmapsource %{_datadir}/anaconda/pixmaps/atomic

Name:           fedora-productimg-atomic
Version:        28
Release:        2%{?dist}
Summary:        Installer branding and configuration for Fedora Atomic

# Copyright and related rights waived via CC0
# http://creativecommons.org/publicdomain/zero/1.0/
License:        CC0

Source0:        anaconda-gtk.css
Source1:        installclass_atomic.py

BuildArch:      noarch

BuildRequires:  cpio, findutils, xz

Provides:       lorax-product-atomic

%description
This package contains differentiated branding and configuration for Fedora
Atomic for use in a product.img file for Anaconda, the Fedora installer. It
is not useful on an installed system.

%prep

%build

%install
install -m 755 -d %{buildroot}%{loraxtarget}/run/install/product/pyanaconda/installclasses
install -m 644 %{SOURCE1} %{buildroot}%{loraxtarget}/run/install/product/pyanaconda/installclasses
install -m 755 -d %{buildroot}%{loraxanacondadir}/pixmaps
install -m 644 %{SOURCE0} %{buildroot}%{loraxanacondadir}

ln -sf %{pixmapsource}/sidebar-bg.png %{buildroot}%{loraxanacondadir}/pixmaps
ln -sf %{pixmapsource}/topbar-bg.png %{buildroot}%{loraxanacondadir}/pixmaps

# note filename change with this one
ln -sf %{pixmapsource}/sidebar-logo.png %{buildroot}%{loraxanacondadir}/pixmaps/sidebar-logo_flavor.png


%files
%dir %{loraxtarget}/run/install/product/pyanaconda/installclasses
%{loraxtarget}/run/install/product/pyanaconda/installclasses/*.py*
%dir %{_datadir}/lorax/product/usr/share/anaconda
%{_datadir}/lorax/product/usr/share/anaconda/anaconda-gtk.css
%dir %{_datadir}/lorax/product/usr/share
%dir %{_datadir}/lorax/product/usr
%dir %{loraxanacondadir}/pixmaps
%{loraxanacondadir}/pixmaps/*.png

%changelog
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 28-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Jan 19 2018 Dusty Mabe <dusty@dustymabe.com> - 28-1
- Include Atomic images instead of Cloud images
- https://pagure.io/atomic-wg/issue/385

* Mon Nov 27 2017 Colin Walters <walters@verbum.org> - 27-1
- Use Anaconda platform storage APIs
- https://bugzilla.redhat.com/show_bug.cgi?id=1513028

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 26-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Jul 10 2017 Jonathan Lebon <jlebon@redhat.com> - 26-1
- Introspect Atomic Host payload to determine supported locales
- https://bugzilla.redhat.com/show_bug.cgi?id=1468619

* Tue Jun 06 2017 Colin Walters <walters@verbum.org> - 25-3
- New upstream version

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 25-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Apr 21 2016 Stephen Gallagher <sgallagh@redhat.com> - 25-1
- Update blivet usage for 2.x API.

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 23-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Dec 10 2015 Colin Walters <walters@redhat.com> - 23-6
- Import code from upstream tag v2015.1
- Adapt to Anaconda/blivet API changes again (rvykydal)

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 23-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Feb 22 2015 Colin Walters <walters@redhat.com> - 23-3
- Adapt to Anaconda/blivet API change

* Tue Feb 17 2015 Colin Walters <walters@redhat.com> - 23-2
- First build for F23

* Tue Nov 25 2014 Colin Walters <walters@redhat.com> - 22-1
- Forked for atomic

* Thu Nov 20 2014 Matthew Miller <mattdm@fedoraproject.org> 22-4
- provides lorax-product-cloud

* Thu Nov 20 2014 Matthew Miller <mattdm@fedoraproject.org> 22-3
- merge changes in from f21

* Fri Nov  7 2014 Matthew Miller <mattdm@fedoraproject.org> 22-1
- bump to 22 for rawhide

* Thu Nov  6 2014 Matthew Miller <mattdm@fedoraproject.org> 21-2
- conflict with the other fedora-productimg packages

* Thu Nov  6 2014 Matthew Miller <mattdm@fedoraproject.org> 21-1
- change license to CC0

* Thu Nov  6 2014 Matthew Miller <mattdm@fedoraproject.org> 21-0
- Initial creation for Fedora 21
